Lucene search

K
nvd[email protected]NVD:CVE-2023-21085
HistoryApr 19, 2023 - 8:15 p.m.

CVE-2023-21085

2023-04-1920:15:11
CWE-787
web.nvd.nist.gov
1
vulnerability
nci_snd_set_routing_cmd
nci_hmsgs.cc
remote code execution
android-11
android-12
android-12l
android-13

CVSS3

8.8

Attack Vector

ADJACENT

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

8.8

Confidence

High

EPSS

0.001

Percentile

17.6%

In nci_snd_set_routing_cmd of nci_hmsgs.cc, there is a possible out of bounds write due to a missing bounds check. This could lead to remote (proximal/adjacent) code execution with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android-11 Android-12 Android-12L Android-13Android ID: A-264879662

Affected configurations

NVD
Node
googleandroidMatch11.0
OR
googleandroidMatch12.0
OR
googleandroidMatch12.1
OR
googleandroidMatch13.0

CVSS3

8.8

Attack Vector

ADJACENT

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:A/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

8.8

Confidence

High

EPSS

0.001

Percentile

17.6%

Related for NVD:CVE-2023-21085